
TYPO3.Neos - Bug # 34398

Status: Resolved Priority: Must have
Author: Sebastian Kurfuerst Category:
Created: 2012-02-28 Assigned To: Sebastian Kurfuerst
Updated: 2012-08-31 Due date:
Subject: Fix Ext Direct API used for saving and loading
Description

Currently, we cannot use ExtDirect requests properly, effectively breaking the Phoenix Content module at various places (Save
content, load tree, ...).

This obviously needs to be fixed :-) We do the following:

    -  Fix ExtDirect request handler
    -  remove default authentication provider

Associated revisions
Revision 51b3bd2e - 2012-03-01 23:06 - Sebastian Kurfuerst

[BUGFIX] Fix security configuration for ExtDirect API

Related: #34398
Change-Id: I0fdbe1dfa830d540f0728c62d94fc0eadcac736b

History
#1 - 2012-02-28 22:58 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9292

#2 - 2012-02-28 23:17 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9292

#3 - 2012-07-13 14:01 - Karsten Dambekalns
- Target version deleted (Sprint 8)

#4 - 2012-07-13 16:52 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

With the removal of the default auth provider I consider this resolved.

#5 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
